Changes in version 4.13.4 (2026-04-16):
	- Fixed miscell minor notes and warnings from
	  r-universe.

Changes in version 4.13.3 (2026-04-14):
	- Upgraded exprtk to version from 2025-01-01,
	  commit cebb369.
	- And proper use of all.equal with check.attributes = FALSE!

Changes in version 4.13.2 (2026-04-14):
	- Fixed the "More than one VignetteEngine specified"
	  error in r-universe.
	- Added unexported complete_fitness_landscape function.
	- Added a few magellan epistasis tests.
	- Removed an equality comparison of floats.

Changes in version 4.13.1 (2026-01-31):
	- Fixed NOTES in "R CMD check --as-cran"

Changes in version 4.11.1 (2025-06-09):
	- Example using WT in interventions.

Changes in version 4.9.1 (2025-03-04):
	- Fix three Notes in Rmd files.

Changes in version 4.7.8 (2024-10-09):
	- Remove support for maOS with arm64 (i.e., kjohnson3
	  and kjohnson1 machines).

Changes in version 4.7.7 (2024-09-18):
	- Try to work around (and ask for help) for tests that fail
	  in the BioC kjohnson3 machine (maOS 13.6.5, arm64). Yes,
	  more of this.

Changes in version 4.7.6 (2024-09-16):
	- Try to work around (and ask for help) for tests that fail
	  in the BioC kjohnson3 machine (maOS 13.6.5, arm64). Yes,
	  more of this.

Changes in version 4.7.5 (2024-09-12):
	- Try to work around (and ask for help) for tests that fail
	  in the BioC kjohnson3 machine (maOS 13.6.5, arm64).

Changes in version 4.7.4 (2024-07-30):
	- Try to work around (and ask for help) for a vignette example
	  that fails in the BioC kjohnson3 machine (maOS 13.6.5, arm64).
	  (Yes, a fourth place where it fails).


Changes in version 4.7.3 (2024-07-26):
	- Try to work around (and ask for help) for a vignette example
	  that fails in the BioC kjohnson3 machine (maOS 13.6.5, arm64).
	  (Yes, a third place where it fails).

Changes in version 4.7.2 (2024-07-25):
	- Try to work around (and ask for help) for a vignette example
	  that fails in the BioC kjohnson3 machine (maOS 13.6.5, arm64).
	  (Yes, a second place where it fails).

Changes in version 4.7.1 (2024-07-23):
	- Try to work around (and ask for help) for a vignette example
	  that fails in the BioC kjohnson3 machine (maOS 13.6.5, arm64).
	- Miscell minor: incorporate 361ccdc to 1bc3cbd (in main github
	  repo) to the BioC version.
	- Fixed Note "Lost braces in \itemize; meant \describe ?"
	- Updated vignette address to IIBM new name.

Changes in version 4.3.3 (2023-07-17):
	- One test failing on Linux aarch64: fixed
	  (by commenting out, which is the right thing to do).

Changes in version 4.3.2 (2023-06-03):
	- Allow passing a seed to MAGELLAN's random fitness landscapes
	  in rfitness function.
	- Fixed bug in rfitness when using a 3-element vector for scaling,
	  and one or more fitness values had the same value as WT.

Changes in version 4.1.4 (2023-03-08):
	- Updated exprTk (thanks to pull request from Arash
	  Partow).

Changes in version 4.1.3 (2023-02-20):
	- no need to specify CXX_STD = CXX14 (the default since
	  R-4.1.0).

Changes in version 4.1.2 (2023-02-20):
        - NAMESPACE: do not import .rbind.data.table (no longer exported
          from data.table 1.14.8, and not needed with R >= 4.0.0).

Changes in version 4.1 (2022-11-24):
	- Faster, cleaner, and better tests of interventions.

Changes in version 4.0 (for BioC 3.16):
	- MAJOR change: users can simulate interventions and adaptive therapy,
	  as well as define, track, and use in fitness-dependent specifications
	  user-defined variables.
	- MAJOR change: users can specify birth and death rates as they want,
	  including making both or just one frequency-dependent.
	- onlyCancer = FALSE by default in all calls to oncoSimul*.
	  This is a possible BRAEKING CHANGE.
	- Plot fails with a meaningful error if simulations
	  had unrecoverable exception or hit max wall time
	  or max num tries.
	- Improvements in vignette speed.
	- Improvements in compilation speed.

Changes in version 3.99.12 (2022-10-19):
	- Try to allow vignette to build successfully in the ARM64 Mac build:
	  use a try(plot) in chunk fdfmutex2.
	- Use apa style citation and a few fixes to bib.
	- Minor additions to vignette.

Changes in version 3.99.11 (2022-10-13):
	- Increase max.wall.time of two tests, as in very slow Windoze machines
	  they can hit max wall time.

Changes in version 3.99.10 (2022-10-13):
	- onlyCancer = FALSE by default in all calls to oncoSimul*.
	  This is a possible BRAEKING CHANGE.
	- Plot fails with a meaningful error if simulations
	  had unrecoverable exception or hit max wall time
	  or max num tries.
	- Faster vignette.

Changes in version 3.99.9 (2022-09-30):
	- Minor vignette split of code, to try to detect
	  location of problem with ARM64 Mac build.

Changes in version 3.99.8 (2022-09-15):
	- Using "Unity builds" to decrease build (compilation) time;
	  see file inst/miscell/README_Unity_compilation.


Changes in version 3.99.7 (2022-09-13):
	- Use c++14 and, in windows, do not use -O3: try to minimize
	  build time.

Changes in version 3.99.6 (2022-09-12):
	- Udpated exprtk.

Changes in version 3.99.5 (2022-07-19):
	- Funding logo added to README.md and vignette.

Changes in version 3.99.4 (2022-07-04):
	- Failing a test in test.Z-intervention.R in Mac OS; did not fix
	correctly previous time.

Changes in version 3.99.3 (2022-06-30):
	- Failing a test in test.Z-intervention.R in Mac OS

Changes in version 3.99.2 (2022-06-29):
	- Vignette: author list and references.

Changes in version 3.99.1 (2022-06-25):
	- Users can specify birth and death rates as they want, including
	  making both or just one frequency-dependent (thanks to Alberto
	  González Klein).
	- Interventions (thanks to Javier Muñoz Haro).
	- User-defined variables and adaptive therapy (thanks to Javier López
	  Cano).

Changes in version 3.3.0 (2021-10-27):
	- Bump version number for BioC

Changes in version 3.1.2 (2021-10-06):
	- Better test of poset transformation

Changes in version 3.1.1 (2021-10-06):
	- XOR, AND, OR dependencies: plots of DAGs honor all possible values.
	- Few miscell minor changes.

Changes in version 3.0 (for BioC 3.13):
	- MAJOR change: frequency dependent fitness available.
	- Removed v.1 functionality.
	- Multiple initMutants.
	- Added MAGELLAN's sources and functionality from MAGELLAN.

Changes in version 2.99.93 (2021-04-30):
	- Fixed bugs and improved testing of rfitness with
	three-element scale vector.

Changes in version 2.99.92 (2021-04-27):
	- rfitness: scale can take a three-element vector.
	- Vignette: examples (not run) for deviations from SSWM.

Changes in version 2.99.9 (2021-04-22):
	- Fixed date typo in one citation.
	- We were inconsistent, allowing some examples of one gene.
	- Readme: nem.

Changes in version 2.99.8 (2021-01-01):
	- Removing unused code.
	- Long tests: no longer using v.1.

Changes in version 2.99.7 (2020-12-30):
	- Vignette: fixed two missing refs and add seed in two examples.

Changes in version 2.99.6 (2020-12-30):
	- No longer v.1 functionality.
	- Slightly faster vignette.

Changes in version 2.99.5 (2020-12-18):
	- Random timeouts when building in tokay2 (Windows, BioC); fixing
	seed in vignette.

Changes in version 2.99.4 (2020-12-17):
	- Clean up of C++ code.

Changes in version 2.99.3 (2020-12-13):
	- Remove unnecessary (and cluttering) output and irrelevant
	warnings when running tests.
	- Decrease execution time of longer running examples in man (Rd) files.
	- Decrease time of vignette.

Changes in version 2.99.2 (2020-12-11):
	- Failed on test on Mac.

Changes in version 2.99.1 (2020-12-10):
	- Bump version number for BioC, so it will become version 3.0.0 in
          next release.
	- Latest version of exprtk.

Changes in version 2.21.995 (2020-12-09):
	- Vignette: rewrote most FDF examples using names (not numbers)
	for fitness specification.

Changes in version 2.21.994 (2020-12-08):
	- Can start simulation from arbitrary configuration: multiple init
	mutants (and multispecies functionality).
	- Freq-dep-fitness does not need to have a WT in fitness tables.
	- Bumped version (to 2.21.xyz) for new BioC devel.

Changes in version 2.19.993 (2020-12-01):
	- Added tests of mutator functionality with freq-dep-fitness.

Changes in version 2.19.992 (2020-09-23):
	- currentTime can be used in freq-dep-fitness expressions
	- popSizes is passed to evalGenotypes (not genotypeFitness)
	- for freq-dep-fitness, type of freq. dep. argument can be guessed
	  automatically

Changes in version 2.19.991 (2020-06-03):
	- Updated ctb: added Magellan and exprTk and clarified contributions.
	- Updated version (to 2.19.xyz) for new BioC devel.

Changes in version 2.17.998 (2020-05-20):
	- Fixed test.Z-magellan failure in Mac.
	- Occasional failures of @test.sample-prob.R#42
	in Windows 386
	- Fixed Wrestrict warnings in Windows from MAGELLAN's sources.
	- Cherry picked from master, as of 2020-05-20:
	  - from: [13a4061]
	  - to: [e1ef78a]
	  - Already added: [519c8a7] to [f716534]

Changes in version 2.17.997 (2020-04-27):
	- With R-devel, stringsAsFactors = FALSE by default. Fix
	tests
	- POM documentation.
	- With newest R-devel (01-28) getting
	  "the condition has length > 1": fixed.

	- Cherry picked from master, as of 2020-03-17:
	  - [6645512] : OK
	  - [a273ac2] : OK
	  - [307dc97] : already added [5436d80]
	  - [bcb8543] : not needed (just version date/number)
	  - [5f42713] : already added [3b488a0]
	  - [eb2766b] : already added [3aba92d]

Changes in version 2.17.996 (2020-01-28):
	- More freq-dep-fitness examples.

Changes in version 2.17.995 (2020-01-25):
	- Reverted modifications to plot (see committ d182fbb)

Changes in version 2.17.994 (2020-01-25):
	- plot: allow legend to be outside

Changes in version 2.17.993 (2020-01-23):
	- Removed dependency on nem, to be deprecated. Adding nem's
	code (file nem_transitive_reduction.R).
	- Further additions of MAGELLAN's functionality and Additive
	model to rfitness. Merging from master.

	- These is from cherry-picking commits to master, as of 2020-01-22:
	  - [eda2e75]
	  - [4ab7e90]
	  - [8e35201]
	  - [832945b]
	  - [aafb84e]
	  - [fe0891e]
	  - [286bf57]
	  - [e221a8e]
	  - [941df3d]
	  - [59b9662]
	  - [39c4d55]
	  - [a245e44]
	  - [114a930]
	  - [49e8d40]
	  - [df6d0cd]
	  - [5a0be19]
	  - [734bf76]

Changes in version 2.17.992 (2019-12-19):
	- Oooops: forgot Makevars.win
	- fno-common: better way of dealing with verbose in magellan.
	[from commit 912503a and e7b549e in master ]
	      - the equivalente of commit 9efd3ad is also included.

Changes in version 2.17.991 (2019-12-18):
	- Compiles with fno-common (for gcc 10).
	- Fixed error "length(x) = 5 > 1' in coercion to 'logical(1)'"
	- rfitness: clarified log=TRUE and truncate_at_0 after log.
	- Magellan_stats: really return a vector.
	- Trying to prevent fscanf warning in FitnessLandscape/input.c

	- These is from cherry-picking commits to master, as of 2019-12-17:
	  - [60533ab]
	    - 2.17.3: (here is where fno-common should be)
  	      [though nothing needed to merge here]

	    - [2dbc895]
	      - link to Magellan_stats help

	    - [73854e0]
  	      - fno-common

	    - [92b7f4b]
  	      - renamed verbose [in one of MAGELLAN's C files]

	    - [a6c95a3]
  	      - install-dir.sh

	    - [ec15dbf]
  	      - Fixed error "length(x) = 5 > 1' in coercion to 'logical(1)'"

	    - [8a06478]
  	      - Ochs and Desai: fixed typo

	    - [94c9df7]
  	      - do not default to log when using Magellan_stats

	    - [a8b5dae]
  	      - appveyor

	    - [2e80c74]
  	      - rfitness: clarified log=TRUE and truncate_at_0 after log.
  	      - Magellan_stats: really return a vector.

	    - [3e67e80]
  	      - Trying to prevent fscanf warning in FitnessLandscape/input.c

	    - [b89a135]
  	      - appveyor file

Changes in version 2.15.996 (2019-06-12):
	- Numerical issues in one test in i386 (Windows)

Changes in version 2.15.995 (2019-06-12):
	- Added MAGELLAN's sources and functionality from MAGELLAN.

Changes in version 2.15.994 (2019-05-25):
	- Windoze: giving up on current Rtools35, but working with Rtools40
	  (see Makevars.win)
	- Cleaned up a few compiler warnings.

Changes in version 2.15.99 (2019-05-14):
	- Bumped version to match current Biocdevel.

Changes in version 2.13.99 (1970-01-01):
	- frequency dependent fitness. This is a MAJOR addition.
	- (the date is bogus, of course)

Changes in version 2.13.2 (2019-03-18):
	- changes in behavior of sample
	  (see NEWS and https://bugs.r-project.org/bugzilla/show_bug.cgi?id=17494) were
	  leading to failures of some tests. Using RNGversion in some tests.

Changes in version 2.13.1 (2019-02-07):
	- bumped to one over the BioC-3.9 version

Changes in version 2.11.2 (2018-09-24):
	- works with STRICT_R_HEADERS

Changes in version 2.11.1:
	- robustify test.fixation.R, Local max, tolerance

Changes in version 2.10.0 (for BioC 3.7):
	- probDetect mechanism changed. This could be a BREAKING CHANGE.
	  The expression divides by the baseline. For fixed initSize, this
	  is simply a matter of changing the cPDetect.
	- fixation allows exact genotypes, includes tolerance,
 	  and checks for a successive number of specified periods
	- LOD: using only the strict Szendro et al. meaning.
	- POM: computed in C++.
	- Using fitness landscape directly when given as input (no
          conversion to epistasis) and several improvements in speed when
	  using fitness landscapes as input.

Changes in version 2.9.10 (2018-04-19):
	- test.Z-fixation: some tests only on Linux because rng is done in
	C++.

Changes in version 2.9.9 (2018-04-10):
	- probDetect mechanism changed. This could be a BREAKING CHANGE.
	  The expression divides by the baseline. For fixed initSize, this
	  is simply a matter of changing the cPDetect.

Changes in version 2.9.8 (2018-03-26):
	- fixation allows exact genotypes, includes tolerance,
	and checks for a successive number of specified periods

Changes in version 2.9.7 (2018-02-20):
	- fixed crash in some conditions when run with
	stringsAsFactors = FALSE as global option

Changes in version 2.9.6 (2017-12-27):
	- Updated citation.
	- An example (in miscell-files) about using and stopping with
	modules.
	- Prototype for sampling the single larges pop at last period
	(function largest_last_pop, commented out for now).

Changes in version 2.9.5 (2017-12-7):
	- samplePop: new option "single-nowt"

Changes in version 2.9.4 (2017-11-30):
	- Deal with the very rare NULL simulations in summary.

Changes in version 2.9.3 (2017-11-27):
	- Make clang happy (do not use flandscape as DataFrame)

Changes in version 2.9.2 (2017-11-24):
	- LOD: using only the strict Szendro et al. meaning.
	- POM: computed in C++.

Changes in version 2.9.1 (2017-11-10):
	- Using fitness landscape directly when given as input (no
          conversion to epistasis)

Changes in version 2.7.2 (2017-09-27):
	- genot_to_adj_mat in C++.
	- fast_peaks (for no backmutation cases).
	- Better explanation and testing of peaks and valleys.
	- Clarified simOGraph transitive reduction.
	- Better handling of ti corner cases.
	- Magellan reading fuctions adapted to output of newer (as of
	  2017-07) version of Magellan.
	- sorting gene names in allGenotypes_to_matrix.
	- sampledGenotypes: genotype names with sorted gene names.

Changes in version 2.6.0 (for BioC 3.5):
	- Many additions to the vignette and documentation.
	- LOD and POM (lines of descent, path of maximum, sensu Szendro et
	  al.).
        - Diversity of sampled genotypes.
	- Genotyping error can be added in samplePop.
	- fixation of a genotype/gene as stopping mechanism.
	- rfitness: shifting by subtraction and mu of normal distribution.
	- simOGraph: using proper transitive reduction.
	- simOGraph can also output rT data frames.
	- accessible genotypes now done in C++.
	- Handling of trivial cases in genotFitness.
	- Clarified McFarland parameterization.
	- Better (and better explained) estimates of simulation error for McFL.
	- AND of detectedSizeP and lastMaxDr.
	- sampledGenotypes in user code.
	- clonePhylog et al: deal with never any descendant.
	- samplePop can handle failed simulations graciously.
	- summary.oncosimulpop can handle failed simulations graciously.
	- Citation shows Bioinformatics paper.

Changes in version 2.5.14 (2017-04-07):
	- Fixed repeated entries in NEWS for BioC 3.5.

Changes in version 2.5.13 (2017-04-07):
	- Updated NEWS for BioC 3.5.

Changes in version 2.5.12 (2017-02-18):
	- rfitness: allow simple forcing of wt to 1, shifting by
	  subtraction, and specifying mu of normal distribution.
	- simOGraph: proper trm comparison.
	- Citation now shows Bioinformatics reference.

Changes in version 2.5.11 (2017-01-27):
	- Transitive reduction: must call transitive.closure first.

Changes in version 2.5.10 (2017-01-27):
	- Transitive reduction: calling nem in simOGraph

Changes in version 2.5.9 (2017-01-09):
	- Added code coverage comments to vignette.

Changes in version 2.5.8 (2016-12-17):
	- Handle trivial cases in genotFitness.

Changes in version 2.5.7 (2016-12-15):
	- Clarified McFarland parameterization.

Changes in version 2.5.6 (2016-12-14):
	- Fixed a few typos in help files.

Changes in version 2.5.5 (2016-12-14):
	- Vignette: miscell changes (typos, etc)

Changes in version 2.5.4 (2016-12-12):
	- Vignette: miscell changes (order of examples, typos, etc)

Changes in version 2.5.3 (2016-12-12):
	- Vignette uses pander in tables.
	- Typos fixed and other enhancements in vignette.

Changes in version 2.5.2 (2016-12-10):
        - Lots and lots of addition to vignette including benchmarks.
        - Diversity of sampled genotypes.
	- Genotyping error can be added in samplePop.
	- LOD and POM (lines of descent, path of maximum, sensu Szendro et
	  al.).
	- simOGraph can also out rT data frames.
	- Better (and better explained) estimates of simulation error for McFL.

Changes in version 2.5.1 (2016-11-12):
	- AND of detectedSizeP and lastMaxDr.
	- fixation as stopping mechanism.
	- sampledGenotypes in user code.
	- clonePhylog et al: deal with never any descendant.
	- samplePop can handle failed simulations graciously.
	- summary.oncosimulpop can handle failed simulations graciously.
	- accessible genotypes now done in C++.
	- OcurringDrivers should not be a factor.
	- samplePop always returns gene names.
	- to_Magellan is much faster with rfitness objects.
	- Several improvements in vignette (English and additional explanations).

Changes in version 2.4.0 (for BioC 3.4):
	- Mutator phenotype and gene-specific mutation rates.
	- End simulations stochastically as a function of size.
	- Specify fitness by giving genotype-> fitness mapping.
	- Random fitness landscape generation.
	- Plots of fitness landscapes.
	- Vignette: using Rmd.
	- Several improvements in help and vignette.
	- Improved test coverage.
	- samplePop: sample at arbitrary sizes.
	- evalAllGenotypes: order = FALSE by default.

Changes in version 2.3.17 (2017-09-22):
	- random2 for rfitness.
	- Vignette: decrease size and running time.

Changes in version 2.3.16 (2017-09-19):
	- Help was not accurate for some probSize args

Changes in version 2.3.15 (2017-09-14):
	- Typo in name (progresion)

Changes in version 2.3.14 (2017-08-26):
	- Documentation improvements.

Changes in version 2.3.13 (2017-08-19):
	- bioRxiv citation.
	- Using Rmd for vignette.
	- Improvements in vignette.

Changes in version 2.3.12 (2017-08-10):
	- Increase N in some tests.

Changes in version 2.3.11 (2017-08-10):
	- evalAllGenotypes: order = FALSE by default.
	- Clarified difference plotFitnessEffects and plotFitnessLandscape.

Changes in version 2.3.10 (2017-07-14):
	- The windows check failure with mc.cores.

Changes in version 2.3.9 (2017-07-09):
	- Accessible genotypes in rfitness and plotFitnessLandscape

Changes in version 2.3.8 (2017-07-08):
	- PDBasline default is now 1.2.

Changes in version 2.3.7 (2016-07-05):
	- Unused C++ code reorganiz.
	- Added tests
	- Vignette and documentation improvements.
	- End simulations stochastically as a function of size.

Changes in version 2.3.6 (2016-06-25):
	- Improved test coverage

Changes in version 2.3.5 (2016-06-25):
	- to_Magellan.

Changes in version 2.3.4 (2016-06-24):
	- Failing some tests in Win 32-bits

Changes in version 2.3.3 (2016-06-23):
	- Vignette improvements and typo fixes.
	- rfitness: generate fitness landscapes.
	- Plot of fitness landscapes.
	- Specify fitness by giving genotype-> fitness mapping.
	- Tests showing same gene in epist./DAG/order.
	- Clarified internal C++ unique/sorted in genotypes.
	- Checks initMutant correct and bug initMutant mutable pos.
	- samplePop: sample at arbitrary sizes.
	- plot.oncosimulpop using auto for color.
	- Mutator phenotype and gene-specific mutation rates.
	- Bug fixed: to_update set at 2 when mutating to pre-existing.
	- Lots and lots of new tests.

Changes in version 2.2.0 (for BioC 3.3):
	- Plots of genotypes.
	- Stacked area and stream plots (code from Marc Taylor).
	- Example of modules and no epistasis.
	- Removed requirement of Root in geneToModule.
	- More tests (and reorganized them)
	- Miscell. improvements and typos fixed in documentation and vignette.
	- Added mutationPropGrowth as argument.
	- Some minor bug fixes and additional checks for user errors.

Changes in version 2.1.6 (2016-04-14):
	- Adapt to changes in today's release of testthat (1.0.0)

Changes in version 2.1.5 (2016-04-09):
	- Added a test of driverCounts, that does not depend on
          OS/compiler.

Changes in version 2.1.4 (2016-04-09):
	- Moved to manual tests that depend on OS/compiler (for
	reproduction of random number stream in C++).

Changes in version 2.1.3 (2016-04-04):
	- Fixed sporadic bug in countDrivers

Changes in version 2.1.2 (2016-03-27):
	- Arguments to BNB_Algo5 explicit.
	- Example of modules and no epistasis.
	- Removed requirement of Root in geneToModule.
	- More tests (and reorganized them)
	- Miscell. improvements in documentation and vignette.

Changes in version 2.1.1 (2016-03-07):
	- Added mutationPropGrowth as argument.
	- Stacked area and stream plots (code from Marc Taylor).
	- Plots of genotypes.
	- Expanded vignette.

Changes in version 1.99.9 (2015-10-08):
	- Fixed NEWS file.
	- Removed empty file.

Changes in version 1.99.8 (2015-10-01):
	- Test "initMutant with oncoSimulSample, 2" occasionally failed.

Changes in version 1.99.7 (2015-09-27):
	- initMutant available in oncoSimulPop and oncoSimulSample.

Changes in version 1.99.6 (2015-09-26):
	- Improved test coverage and removed stringsAsfactors from tests.
	- Consistent handling of corner cases in Bozic.
	- Miscell minor documentation improvements.

Changes in version 1.99.5 (2015-06-25):
	- Fixed bug in initMutant, added tests, and vignette section.

Changes in version 1.99.4 (2015-06-22):
	- Plotting true phylogenies.
	- Tried randutils, from O'Neill. Won't work with gcc-4.6.
	- bool issue in Windows/gcc-4.6.
	- Most all to all.equal in tests.

Changes in version 1.99.3 (2015-06-19):
	- More examples to vignette
	- Using Makevars
	- More functionality to plot.fitnessEffects
	- Will Windoze work now?

Changes in version 1.99.2 (2015-06-19):
	- Fixed typos and other minor in vignett.

Changes in version 1.99.1 (2015-06-18):
	- Try to compile in Windoze with the SSTR again.
	- Reduce size of RData objects with resaveRdaFiles.
	- Try to compile in Mac: mt RNG must include random in all files.

Changes in version 1.99.01 (2015-06-17):
	- Many MAJOR changes: we are done moving to v.2
	  - New way of specifying restrictions (v.2) that allows
	    arbitrary epistatic interactions and order effects, and
	    very large (larger than 50000 genes) genomes.
	  - When onlyCancer = TRUE, all iterations now in C++.
	  - Many tests added.
	  - Random DAG generation.
	  - Some defaults for v.1 changed.

Changes in version 1.99.00 (2015-04-23):
	- Accumulated changes of former 99.1.2 to 99.1.14:

	- changes in intermediate version 1.99.1.14 (2015-04-23):
		- Now are things OK (I messed up the repos)

	- changes in intermediate version 99.1.13 (2015-04-23)
		- Added a couple of drop = FALSE. Their absence lead to
		  crashes in some strange, borderline cases.
		- Increased version to make unambiguous version used for
		  anal. CBN.

	- changes in intermediate version 99.1.12 (2015-04-22)
		- Removed lots of unused conversion helpers and added more
		  strict checks and tests of those checks.

	- changes in intermediate version 99.1.11 (2015-04-18)
		- Tests of conversion helpers now really working.

	- changes in intermediate version 99.1.10 (2015-04-16)
		- Added conversion helpers as separate file.
		- Added tests of conversion helpers.
		- Added generate-random-trees code (separate file).
		- More strict now on the poset format and conversions.

	- changes in intermediate version 99.1.9 (2015-04-09)
		- added null mutation for when we run out of mutable positions,
		  and since not clear how to use BNB then.

	- changes in intermediate version 99.1.8 (2015-04-03)
		- added extraTime.

	- changes in intermediate version 99.1.7 (2015-04-03)
		- endTimeEvery removed. Now using minDDrPopSize if needed.

	- changes in intermediate version 99.1.6 (2015-03-20)
		- untilcancer and oncoSimulSample working together

	- changes in intermediate version 99.1.5 (2015-03-20)
		- Using the untilcancer branch

	- changes in intermediate version 99.1.4 (2014-12-24)
		- Added computation of min. of ratio birth/mutation and
                  death/mutation.

	- changes in intermediate version 99.1.3 (2014-12-23)
		- Fixed segfault when hitting wall time and sampling only once.

	- changes in intermediate version 99.1.2 (2014-12-16)
		- Sampling only once

Changes in version 0.99.2 (2014-07-14)
	- Consistently using indentation in .Rd files.

Changes in version 0.99.1 (2014-07-14)
	- Minor changes for BioConductor submission:
	    - extended description
	    - minor changes to vignette
	    - improved documentation of posets

Changes in version 0.99.0 (2014-06-26)
	- First version submitted to BioConductor.



Changes prior to the first BioC version.
	Left here for historical purposes simply.

preBioC_1.0.4   2013-03-21
        - Versions K, M, O, P working.
        - Versions O and P with u_1 and u_2 so as to provide comparable
          results to K and M.
        - Sometimes problems with ti==0.

preBioC_1.0.5   2013-03-22
        - Cleaned up the code and left only version P.
        - Added memory limits.

preBioC_1.0.6   2013-03-22
        - Added mutator genotype
        - Only species with fitness > 0 go through ti calculation.

preBioC_1.0.7 	2013-03-25
        - Start run from a given mutation

preBioC_1.0.8   2013-04-02
	- Limits on outNS size to prevent segfaults.
	- Do not transpose outNS in R (do in C++).
	- Better code for sp_to_remove.

preBioC_1.0.9   2013-04-02
	- Some code in R moved to C++.
	- Minimize increases in RAM in R related to
	  handling of temporaries.
	- Moved out of main R function the creation of rarely used objects.

preBioC_1.0.10  2013-04-04
	- Info on actual drivers returned from C++

preBioC_1.0.11	2013-04-04
	- Added time limit to main C++ loop execution and changed exploration
	  files  accordingly.

preBioC_1.0.12	2013-04-15
	- Per sample driver and populations stats in C++.
	- Removed some rarely used output from C++.

preBioC_1.0.13	2013-04-24
	- Added continuous time Bozic fitness

preBioC_1.0.14	2013-04-25
	- Added Beerenwinkel et al., 2007 fitness.
	- Added a few checks for loss of precision.
	- Added thinning of output.

preBioC_1.0.15	2013-04-26
	- Unmet restrictions: allow variable penalty.
	- Safety initializations and a bug fix.

preBioC_1.0.16	2013-05-01
	- Unmet restrictions: better mechanism (which also fixes a bug).
	- Changed and cleared up the mess in the example trees.
	- This is the version used to launch the first set of massive
	simulations (bozic and exp)

preBioC_1.0.17	2013-05-20
	- Added McFarland et al. 2013 fitness.
	- Some code cleaning.
	- Fewer arguments in R function have default values
	(force user to be explicit).

preBioC_1.0.18	2013-07-25
	- Renamed the package
	- Tried to use Youn and Simon's method. Calling code added.
	- Tried to use Sakoparnig and Beerenwinkel's Bayesian CBN. Calling
	code added.
	- Fixed non-working code in metrics due to changes in functions in graph.
	- Added simple code for temporal order.
	- Added old code for clonal ordering (not finished).
	- Robustified other functions and start up (cbn, metrics,
	plotting, etc).
	- No dependencies on libgmp (multiprecission arith.) now; removed
	from Makevars.
	- Warning in R code if endTimeEvery is not negative in simulation models
	where it should probably be negative.

preBioC_1.0.19	2014-xxx
	- Changes and addition to plotting functions.
	- Added comparison of adjacency matrices and other miscell
	functions from the processing code of the simulations.
